Bulletin d'alerte Debian

DSA-1352-1 pdfkit.framework -- Débordement d'entier

Date du rapport :
7 août 2007
Paquets concernés :
pdfkit.framework
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le dictionnaire CVE du Mitre : CVE-2007-3387.
Plus de précisions :

On a découvert qu'un débordement d'entier dans le lecteur de documents PDF xpdf pouvait conduire à l'exécution de code arbitraire si un fichier PDF mal formé était ouvert.

pdfkit.framework contient une copie du code de xpdf et doit aussi être mis jour.

Pour l'ancienne distribution stable (Sarge), ce problème a été corrigé dans la version 0.8-2sarge4.

Les paquets de la distribution stable (Etch) sont liés dynamiquement avec libpoppler et ne nécessitent pas de mise à jour distincte.

Les paquets de la distribution instable (Sid) sont liés dynamiquement avec libpoppler et ne nécessitent pas de mise à jour distincte.

Nous vous recommandons de mettre à jour vos paquets pdfkit.framework.

Corrigé dans :

Debian GNU/Linux 3.1 (sarge)

Source :
http://security.debian.org/pool/updates/main/p/pdfkit.framework/pdfkit.framework_0.8-2sarge4.dsc
http://security.debian.org/pool/updates/main/p/pdfkit.framework/pdfkit.framework_0.8-2sarge4.diff.gz
http://security.debian.org/pool/updates/main/p/pdfkit.framework/pdfkit.framework_0.8.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/p/pdfkit.framework/pdfkit.framework_0.8-2sarge4_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/p/pdfkit.framework/pdfkit.framework_0.8-2sarge4_amd64.deb
HPPA:
http://security.debian.org/pool/updates/main/p/pdfkit.framework/pdfkit.framework_0.8-2sarge4_hppa.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/p/pdfkit.framework/pdfkit.framework_0.8-2sarge4_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/p/pdfkit.framework/pdfkit.framework_0.8-2sarge4_ia64.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/p/pdfkit.framework/pdfkit.framework_0.8-2sarge4_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/p/pdfkit.framework/pdfkit.framework_0.8-2sarge4_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/p/pdfkit.framework/pdfkit.framework_0.8-2sarge4_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/p/pdfkit.framework/pdfkit.framework_0.8-2sarge4_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/p/pdfkit.framework/pdfkit.framework_0.8-2sarge4_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/p/pdfkit.framework/pdfkit.framework_0.8-2sarge4_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.